org.apache.sysds.runtime.instructions.spark.data

## Class CorrMatrixBlock

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.CorrMatrixBlock

- All Implemented Interfaces:
    Externalizable, Serializable

      public class CorrMatrixBlock
      extends Object
      implements Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrMatrixBlock()`
    `CorrMatrixBlock(MatrixBlock value)`
    `CorrMatrixBlock(MatrixBlock value, MatrixBlock corr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatrixBlock` | `getCorrection()`
    `MatrixBlock` | `getValue()`
    `void` | `readExternal(ObjectInput is)` Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient deserialization.
    `CorrMatrixBlock` | `set(MatrixBlock value, MatrixBlock corr)`
    `void` | `writeExternal(ObjectOutput os)` Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient serialization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrMatrixBlock

          public CorrMatrixBlock()

    - #### CorrMatrixBlock

          public CorrMatrixBlock(MatrixBlock value)

    - #### CorrMatrixBlock

          public CorrMatrixBlock(MatrixBlock value,
                                 MatrixBlock corr)

  - ### Method Detail

    - #### getValue

          public MatrixBlock getValue()

    - #### getCorrection

          public MatrixBlock getCorrection()

    - #### set

          public CorrMatrixBlock set(MatrixBlock value,
                                     MatrixBlock corr)

    - #### readExternal

          public void readExternal(ObjectInput is)
                            throws IOException

      Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient deserialization.
      Specified by:
        `readExternal` in interface `Externalizable`
      Parameters:
        `is` - object input
      Throws:
        `IOException` - if IOException occurs

    - #### writeExternal

          public void writeExternal(ObjectOutput os)
                             throws IOException

      Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient serialization.
      Specified by:
        `writeExternal` in interface `Externalizable`
      Parameters:
        `os` - object output
      Throws:
        `IOException` - if IOException occurs

Copyright © 2021 The Apache Software Foundation. All rights reserved.